6.0.0-git
2019-04-24

[#13358] ActiveSync: FOLDERDELETE, mnemo, method "getPrefs" is not defined
Summary ActiveSync: FOLDERDELETE, mnemo, method "getPrefs" is not defined
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester software-horde (at) interfasys (dot) ch
Created 2014-07-12 (1747 days ago)
Due
Updated 2014-07-17 (1742 days ago)
Assigned 2014-07-14 (1745 days ago)
Resolved 2014-07-17 (1742 days ago)
Milestone
Patch No

History
2014-07-17 03:00:09 Michael Rubinsky Comment #4
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2014-07-17 02:59:13 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit e466b4fb81940b4588c33e4eb7a8dd3a360e2952
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Jul 16 22:57:12 2014 -0400

     Bug: 13358  Fix typos

  .../Core/lib/Horde/Core/ActiveSync/Connector.php   |   12 ++++++------
  1 files changed, 6 insertions(+), 6 deletions(-)

http://github.com/horde/horde/commit/e466b4fb81940b4588c33e4eb7a8dd3a360e2952
2014-07-14 03:24:49 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2014-07-12 23:49:08 software-horde (at) interfasys (dot) ch Comment #2
New Attachment: as_connector.patch Download
Reply to this comment
Fixed it + another typo on a method

2014-07-12 22:48:03 software-horde (at) interfasys (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ ActiveSync: FOLDERDELETE, mnemo, method "getPrefs" is not defined
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
I've just seen a new ActiveSync error. Same BlackBerry 10 device with 
the ghost folders.

ERR: HORDE Returning HTTP 500 while handling FolderDelete command. 
[pid 75611 on line 159 of "/webmail/rpc.php"]
ERR: HORDE Error in communicating with ActiveSync server: The method 
"getPrefs" is not defined in the API for horde. [pid 75611 on line 162 
of "/php/Horde/Rpc/ActiveSync.php"]
ERR: HORDE #0 /php/Horde/Registry.php(1093): 
Horde_Registry->callByPackage('horde', 'getPrefs', Array)
#1 /php/Horde/Registry/Caller.php(41): 
Horde_Registry->call('horde/getPrefs', Array)
#2 /php/Horde/Core/ActiveSync/Connector.php(1276): 
Horde_Registry_Caller->__call('getPrefs', Array)
#3 /php/Horde/Core/ActiveSync/Connector.php(1276): 
Horde_Registry_Caller->getPrefs('mnemo', 'activesync_no_m...')
#4 /php/Horde/Core/ActiveSync/Driver.php(767): 
Horde_Core_ActiveSync_Connector->deleteFolder('Notes', 
'53bc86a1-ce34-4...')
#5 /php/Horde/ActiveSync/Connector/Importer.php(394): 
Horde_Core_ActiveSync_Driver->deleteFolder('Notes:53bc86a1-...', 0)
#6 /php/Horde/ActiveSync/Request/FolderCreate.php(162): 
Horde_ActiveSync_Connector_Importer->importFolderDeletion('Nf0ad2cb3')
#7 /php/Horde/ActiveSync/Request/Base.php(253): 
Horde_ActiveSync_Request_FolderCreate->_handle()
#8 /php/Horde/ActiveSync.php(880): Horde_ActiveSync_Request_Base->handle()
#9 /php/Horde/Rpc/ActiveSync.php(143): 
Horde_ActiveSync->handleRequest('FolderDelete', 'BB1234ABCD')
#10 /webmail/rpc.php(159): Horde_Rpc_ActiveSync->getResponse(NULL)
#11 {main} [pid 75611 on line 162 of "/php/Horde/Rpc/ActiveSync.php"]
ERR: HORDE Buffer contents:  [pid 75611 on line 162 of 
"/php/Horde/Rpc/ActiveSync.php"]



INFO: [75611] GET VARIABLES: Array
INFO: [BB1234ABCD] Handling FOLDER[CREATE|DELETE|CHANGE] command.
DEBUG: [75611] I  <FolderHierarchy:FolderDelete>
DEBUG: [75611] I   <FolderHierarchy:SyncKey>
DEBUG: [75611] I     {53c17816-b9fc-425b-accf-c123456cae96}1
DEBUG: [75611] I   </FolderHierarchy:SyncKey>
DEBUG: [75611] I   <FolderHierarchy:ServerEntryId>
DEBUG: [75611] I     Nf0ad2cb3
DEBUG: [75611] I   </FolderHierarchy:ServerEntryId>
DEBUG: [75611] I  </FolderHierarchy:FolderDelete>
INFO: [75611] Loading state for synckey 
{53c17816-b9fc-425b-accf-c123456cae96}1
INFO: [75611] Loading FOLDERSYNC state containing 13 folders.
INFO: [75611] 
Horde_Core_ActiveSync_Driver::deleteFolder(Notes:53bc86a1-ce34-4e1d-9d33-c123456cae96)
ERR: The method "getPrefs" is not defined in the API for horde.


Saved Queries